Package net.commoble.exmachina.api

# Enum Class Parity

java.lang.Object
java.lang.Enum<Parity>
net.commoble.exmachina.api.Parity

All Implemented Interfaces:
  `Serializable`, `Comparable<Parity>`, `Constable`, `net.minecraft.util.StringRepresentable`

public enum Parity extends Enum<Parity> implements net.minecraft.util.StringRepresentable
Representation of relative direction of rotation between mechanical nodes

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface net.minecraft.util.StringRepresentable

`net.minecraft.util.StringRepresentable.EnumCodec<E extends Enum<E> & net.minecraft.util.StringRepresentable>, net.minecraft.util.StringRepresentable.StringRepresentableCodec<S extends net.minecraft.util.StringRepresentable>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NEGATIVE`
Indicates a node's rotation relative to its axis is the opposite of another node's relative to that node's axis; e.g.
`POSITIVE`
Indicates a node's rotation relative to its axis is the same as another node's relative to that node's axis; e.g.
`ZERO`
Indicates no rotation is occurring

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<Parity>`
`CODEC`
"parity": "negative"

### Fields inherited from interface net.minecraft.util.StringRepresentable

`PRE_BUILT_MAP_THRESHOLD`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSerializedName()`
`Parity`
`multiply(Parity that)`
Returns Parity of this parity multiplied with another parity.
`int`
`value()`
Returns int sign of the parity (0, +1, or -1).
`static Parity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Parity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ZERO

public static final Parity ZERO
Indicates no rotation is occurring

### POSITIVE

public static final Parity POSITIVE
Indicates a node's rotation relative to its axis is the same as another node's relative to that node's axis; e.g. two nodes are rotating in the same direction on positive axes, or the same direction on negative axes, or two nodes are rotating about opposite directions, one on a positive axis and one on a negative axis

### NEGATIVE

public static final Parity NEGATIVE
Indicates a node's rotation relative to its axis is the opposite of another node's relative to that node's axis; e.g. two nodes are rotating in opposite directions about positive axes, or opposite directions on negative axis, or the same direction, one on a positive axis and one on a negative axis

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<Parity> CODEC

     "parity": "negative"

## Method Details

### values

public static Parity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Parity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public int value()
Returns int sign of the parity (0, +1, or -1).

Returns:
  int sign of the parity (0, +1, or -1)

### multiply

public Parity multiply(Parity that)
Returns Parity of this parity multiplied with another parity.

Parameters:
  `that` - Parity to multiply this parity with
Returns:
  Parity of this parity multiplied with another parity

### getSerializedName

public String getSerializedName()

Specified by:
  `getSerializedName` in interface `net.minecraft.util.StringRepresentable`